Subject: Re: [PATCH 0/4] Fix routing metrics

From: Steffen Klassert <[email-masked]>
Date: Fri, 10 Feb 2012 08:51:07 +0100

On Fri, Feb 10, 2012 at 02:38:15AM -0500, David Miller wrote:
> From: Steffen Klassert <[email-masked]>
> > 
> > I fully agree with you here. But we check for the genid just in
> > rt_init_metrics() which is invoked only on route cache entry
> > creation. There is no check when the metrics are accessed,
> > because the metrics on the inetpeer are valid on every access.
> 
> Every routing cache entry we will use after the flush will be
> a newly created one!  All the old ones will be stop being used.

Yes, I know that. All inetpeer metrics are updated once with the
first new routing cache entry that binds that inetpeer to the route.